Page MenuHomePhabricator

Remove deleted wikis from wikireplicas
Closed, ResolvedPublic

Description

Hi,

The following databases are present on labsdb1009-1011:

-- Non-public databases that are present:
DROP DATABASE IF EXISTS `alswikibooks`;
DROP DATABASE IF EXISTS `alswikiquote`;
DROP DATABASE IF EXISTS `alswiktionary`;
DROP DATABASE IF EXISTS `mowiki`;
DROP DATABASE IF EXISTS `mowiktionary`;

They were are placed on the deleted.dblist:

egrep -w "alswikibooks|alswikiquote|alswiktionary|mowiki|mowiktionary" *
deleted.dblist:alswikibooks
deleted.dblist:alswikiquote
deleted.dblist:alswiktionary
deleted.dblist:mowiki
deleted.dblist:mowiktionary
root@labsdb1009:/srv/sqldata# ls -lhrt  alswikibooks/revision.ibd alswikiquote/revision.ibd alswiktionary/revision.ibd mowiki/revision.ibd mowiktionary/revision.ibd
-rw-rw---- 1 mysql mysql 192K Jun  1  2017 alswikiquote/revision.ibd
-rw-rw---- 1 mysql mysql 672K Jun  1  2017 alswiktionary/revision.ibd
-rw-rw---- 1 mysql mysql 272K Jun  1  2017 mowiktionary/revision.ibd
-rw-rw---- 1 mysql mysql 240K Jul  2  2017 alswikibooks/revision.ibd
-rw-rw---- 1 mysql mysql  12M Dec 13 09:34 mowiki/revision.ibd

mowiki which looks like the most recently used, had no writes for the last 2 months so it is indeed deleted:

root@labsdb1009:/srv/sqldata/mowiki# ls -lhrt | grep ibd | tail -n5
-rw-rw---- 1 mysql mysql  96K Dec 13 08:59 updatelog.ibd
-rw-rw---- 1 mysql mysql  12M Dec 13 09:34 revision.ibd
-rw-rw---- 1 mysql mysql 128K Dec 17 18:29 site_identifiers.ibd
-rw-rw---- 1 mysql mysql 592K Dec 18 16:24 sites.ibd
-rw-rw---- 1 mysql mysql 256K Dec 24 00:06 recentchanges.ibd

I assume we should go ahead and delete them, right?

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 7 2018, 7:42 AM
Marostegui triaged this task as Normal priority.Feb 7 2018, 7:43 AM
Marostegui moved this task from Triage to Next on the DBA board.

There are no views associated to these databases.

Marostegui closed this task as Declined.Feb 7 2018, 9:24 AM

Thanks - I knew it was familiar and I recalled talking about this before, but as I couldn't find the ticket I was like: maybe not...

Closing this!
Thanks

why closing this? This is perfectly valid!

I closed it because I was agreeing with myself from the past :-) : T181925#3825796

Marostegui reopened this task as Open.Feb 7 2018, 9:36 AM

We have chatted about it in private and we believe they should be delete from labs indeed, as they are marked as deleted and the "policy" is: if deleted or private -> not on labs.

I will delete these databases from sanitarium with replication tomorrow if we all agree.

I do, we can reverse that if we want, but that would take more effort (reimporting all deleted wikis). I would prefer to work towards deleting them from production, too :-).

Mentioned in SAL (#wikimedia-operations) [2018-02-08T10:07:50Z] <marostegui> Drop deleted databases from sanitarium and labsdb hosts - T186685

Marostegui closed this task as Resolved.EditedFeb 8 2018, 10:58 AM
root@db1095[(none)]> DROP DATABASE IF EXISTS `alswikibooks`;
Query OK, 65 rows affected (9.52 sec)

root@db1095[(none)]> DROP DATABASE IF EXISTS `alswikiquote`;
Query OK, 64 rows affected (9.77 sec)

root@db1095[(none)]> DROP DATABASE IF EXISTS `alswiktionary`;
Query OK, 63 rows affected (9.72 sec)

root@db1095[(none)]> DROP DATABASE IF EXISTS `mowiki`;
Query OK, 63 rows affected (10.28 sec)

root@db1095[(none)]> DROP DATABASE IF EXISTS `mowiktionary`;
Query OK, 63 rows affected (9.68 sec)
root@labsdb1009:~# /usr/local/sbin/check_private_data.py -S /run/mysqld/mysqld.sock
-- Non-public databases that are present:
-- Non-public tables that are present: